using GraphicsManager.Enums;
using GraphicsManager.Objects;
using GraphicsManager.Objects.Core;

namespace Luski.GUI.MainScreen.UI.PublicServers.ServerSettingPages;

public class PageBaseFlow : FlowLayout, IPageBase
{
    public string PageName
    {
        get
        {
            return pn;
        }
        set
        {
            pn = value;
            TitleLable.Text = $" \n{value}\n ";
        }
    }
    public FontInteraction TitleFont { get; set; }

    public Label TitleLable;
    private string pn = "Blank Page";
    
    public PageBaseFlow()
    {
        TitleFont = Globals.DefaultFont.Clone();
        TitleFont.FontSize = FontSize.Bold;
        TitleFont.PixelHeight = (uint)(TitleFont.PixelHeight * 1.4f);
        Controls.Add(TitleLable = new Label(TitleFont)
        {
            Text = $" \nBlank Page\n "
        });
        base.Visible = false;
        base.Size = new((16+231+48+508).ScaleInt());
    }
}